Page MenuHomePhabricator

FY2017/18 Program 3 Outcome 1 Objective 1: Define a set of code stewardship levels (from high to low expectations)
Closed, ResolvedPublic

Event Timeline

greg created this task.Aug 24 2017, 8:20 PM
Jrbranaa closed this task as Resolved.Oct 24 2017, 5:01 AM
Jrbranaa reopened this task as Open.
Jrbranaa claimed this task.

Added first pass changes regarding code stewardship.

New:

Describes the areas of stewardship, what it means to be a steward, and a base set of SLAs for both Reviews and Tasks/Bugs. I departed from the Reading group's approach a little in that I defined SLAs that are based on Priority - "UnBreak Now" should have a shorter SLA than a "Low".

Changed:

Renamed column "Responsible Wikimedia Team" to "Stewards"
Added brief section describing stewardship and referring to the Code_Stewardship page.

Currently the reading groups model is to define different SLAs for different components. I think this is a practical approach, but I'm not sure that it's too friendly to outside contributors. From what I can tell, many of the SLAs are based on whether the component is actively being developed. If possible, it would be more contributor friendly if by and large all actively developed components had the same SLA and all inactive components had the same SLA. I'm mostly thinking out-loud on this though.

Changes to Developers/Maintainers page where reverted as they referred to an "in draft" page regarding stewardship, which I totally understand.

The sticky point I believe it the commitment to "SLAs". This could be moved out of the steward page and into the discussion page for starters.

greg closed this task as Resolved.Dec 18 2017, 5:41 PM

This is pretty much done, just going to work with Victoria and Toby regarding communication.